<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');

$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             //$pdf->SetFont('Times','',7);
			 
			 //cabecalho
			 	$posicaoCab1=60;$posicaoCab2=245;
	            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	            $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
				$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+15);$pdf->Cell(140,5,'Amostras:'.$finalidade.' Ano:'.$anoCorrente,0,1,'L');//lab nome
				/*
		
		
		
		
	   /* 
	   COMO FUNCIONA A DINAMICA INTERATIVA
	   a)Vai ter uma matriz de conteudos com campos predefinidos
	   1-Amostra  2-Lote 3-cultivar  4-especie  5=representatividade etc
	   b)Eu entro com a colecao de campos que eu quero reamente mostrar
	   exemplo: fic_amostra   ctv_nome    esp_nome
	   Vai me gerar uma matriz de indice  indice[1]=1  indice[2]=3 indice[3]=4 
	   c)Na hora de imprimir so vai pegar a matriz conteudo com o respectico indice
	   */ 
       //aqui define e arbitra numeracao dos campos
       $matrizCampos[1]='fic_amostra';       
	   $matrizCampos[2]='fic_lote';          
       $matrizCampos[3]='prd_apelido';       
       $matrizCampos[4]='esp_nome';          
       $matrizCampos[5]='ctv_nome';          
       $matrizCampos[6]='esp_nome';          
       $matrizCampos[7]='prd_nome';          
       $matrizCampos[8]='fic_categoria';     
       $matrizCampos[9]='fic_procedencia';     
       $matrizCampos[10]='fic_safra';     
       $matrizCampos[11]='fic_vigor';     
       $matrizCampos[12]='fic_dt_entrada';     
       $matrizCampos[13]='fic_repre_quant';   
       $matrizCampos[14]='PMS';   
	     
       $limite=sizeof($matrizCampos);




      // if(get('codModelo') !== ""):
        $modeloSelecionado=$sessao->getVar('controle4');
		$sqlCampos="select rca_campo_custom,rca_campo_tabela from relatocampos where rca_id_modelo=".$modeloSelecionado;
		//$listaCabecalho= captura_registros_generico1($sqlCampos,"rca_campo_custom");
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlCampos;
		$generica->selecionaCamposEspecial($generica);
		$contador=1;
	    while ($resgenerica= $generica->retornaDados()):
           //$listaCabecalho[$contador]=$resgenerica->rca_campo_custom;
           $campo=$resgenerica->rca_campo_tabela;
		   //echo("campos=$campo  $limite<br>");
		   //vai fazer a varredura para ver qual o numero fixado para este campo
		   //na hora que acha ele captura o numero do i
           for($i=1;$i<=$limite;$i++): 		   
		      if($campo==$matrizCampos[$i]):
			        $matrizIndice[$contador]=$i;
					$matrizCabecalho[$contador]=$resgenerica->rca_campo_custom;
              endif; 
		   endfor;
	       $contador++;
	    endwhile; 
       //endif;//final do get codModelo
       $totalCampos=$contador-1;
	   $sessao->setVar('controle3',$totalCampos);
	   
	   $pedacos=$sessao->getVar('controle1');  
       $sqlSeletor="select * from cultivar,ficha,remetente,especies where  fic_ano=" .$anoCorrente." and   fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ".$pedacos;	   
	   
	   
	   
	    
       $sqlParteFinal=$pedacos;
	   //echo("Filtros finais=$pedacos<br>");
	   $miolo="from cultivar,ficha,remetente,especies where  fic_ano=" .$anoCorrente." and   fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ";
	   if(get('opcao') !== ""):
            $opcao = get('opcao');
	   endif;
	
	   //echo("esl=$sqlSeletor<br>");
	
	   if(empty($modeloSelecionado)):
		    $selecionado2="Modelo Básico";
	        $c2="Especie";		
			$listaCabecalho[0]="Amostra";
			$listaCabecalho[1]="Lote";
			$listaCabecalho[2]="Requerente";//estava Produtor
			$listaCabecalho[3]="Especie";
			$listaCabecalho[4]="Cultivar";
			if($finalidade!='PREVIAS'):
			  $sqlParteInicial="select fic_amostra, fic_lote, prd_apelido, esp_nome, ctv_nome ";
			  $ordenador=" order by fic_amostra";
			else:
			  $sqlParteInicial="select fic_amostra_previa, fic_lote, prd_apelido, esp_nome, ctv_nome ";		
			  $ordenador=" order by fic_amostra_previa";
			endif;
			
			$sqlFinal=$sqlParteInicial.$miolo. $sqlParteFinal.$ordenador;	   
		    $sqlSeletor=$sqlFinal;
	   endif;//do botao basico
       //imprime o cabecalho
	   $pdf->SetFont('Arial','B',7);
	   $cota1=30;
	   $pdf->setXY($margemEsquerda,$cota1);
	    for($i=1;$i<=$totalCampos;$i++):
           $pdf->Cell(20,5,$matrizCabecalho[$i],1,0,'L');	
    	endfor;


//$sqlSeletor="select * from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ".$pedacos;
		//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor <br>");
       //vai imprimir o corpo
	   $pdf->SetFont('Arial','',7);
	    //ENTRA DE QUAKQUER MANEIRA
	 	 	/*$generica=new tabelagenerica();
	        $generica->extras_select =$sqlSeletor;
			$generica->selecionaCamposEspecial($generica);
			$contador=0;
			$pdf->setXY($margemEsquerda,100);
			*/
			$generica1=new tabelagenerica();
			$generica1->tabela="tempsila";
			$generica1->campos_valores = array(
			    "obs1" => NULL,
			    "obs2" => NULL,
			    "obs3" => NULL,
			    "obs4" => NULL,
			    "obs5" => NULL,
			    "obs6" => NULL,
			    "obs7" => NULL,
			    "obs8" => NULL,
			    "obs9" => NULL,
			    "obs10" => NULL,
			);
			$generica1->extras_select ="";
			$generica1->selecionaCampos($generica1);
			$registros=0;
			$largura=20;
			$cota1=50;
			while ($resgenerica1 = $generica1->retornaDados()):
	 	            $contador++;
					$pdf->setXY($margemEsquerda,$cota1);
                    $pdf->Cell(20,5,utf8_decode($resgenerica1->obs1),1,0,'L');//lab nome
                    $pdf->Cell(20,5,utf8_decode($resgenerica1->obs2),1,0,'L');//lab nome
                    $pdf->Cell(20,5,utf8_decode($resgenerica1->obs3),1,0,'L');//lab nome
                    $pdf->Cell(20,5,utf8_decode($resgenerica1->obs4),1,0,'L');//lab nome
                    $pdf->Cell(20,5,utf8_decode($resgenerica1->obs5),1,0,'L');//lab nome



	        endwhile; 
	

			
		
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
